%define upstream_name    Apache-DBI
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Initiate a persistent database connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.0.0
BuildRequires: perl(Digest::MD5) >= 2.200.0
BuildRequires: perl(Digest::SHA1) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module initiates a persistent database connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/Apache
%{_mandir}/*/*


%changelog
* Thu Jul 13 2017 bb2 <bb2> - 1.120.0-8pclos2017
- rebuild against updates

